Skip to content

MCP server endpoint, settings, tools and what each agent may do

GET
/api/v1/workspaces/{workspace}/mcp
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/mcp \
--header 'Authorization: Bearer <token>'

Permission: mcp:manage (sensitive)

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

OK

Media typeapplication/json
object
agents
required
Array<object>
object
cells
required
Array<object>
object
capability
required
string
label
required
string
level
required
string
Allowed values: allow approve partial deny
createdBy
required
string
id
required
string
masked
required
string
name
required
string
permissions
required
Array<string>
status
required
string
Allowed values: active expired
approvalExpiryHours
required
integer format: int64
canManage
required
boolean
capabilities
required
Array<string>
enabled
required
boolean
endpoint
required
string
prompts
required
Array<string>
rateLimitPerMinute
required
integer format: int64
resources
required
Array<string>
tools
required
Array<object>
object
description
required
string
name
required
string
permission
required
string
writes
required
boolean
transport
required
string
Allowed values: streamable_http

Example

{
"agents": [
{
"cells": [
{
"label": "Pause only · never start",
"level": "allow"
}
],
"status": "active"
}
],
"transport": "streamable_http"
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}